- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDTRotation Class Reference
[COLLADA Document Object Model.]

A COLLADA angle-axis rotation. More...

`#include <FCDTransform.h>`

Inheritance diagram for FCDTRotation:

List of all members.

## Public Member Functions
| FCDTRotation (FCDocument *document, FCDSceneNode *parent)
| Constructor: do not use directly.
virtual | ~FCDTRotation ()
| Destructor.
virtual Type | GetType () const
| Retrieves the transformation class type for the rotation.
FCDParameterAnimatableAngleAxis & | GetAngleAxis ()
| Retrieves the angle-axis value of the rotation.
const FCDParameterAnimatableAngleAxis & | GetAngleAxis () const
| See above.
void | SetAngleAxis (const FMAngleAxis &aa)
| Sets the angle-axis value of the rotation.
FMVector3 & | GetAxis ()
| Retrieves the rotation axis.
const FMVector3 & | GetAxis () const
| See above.
void | SetAxis (const FMVector3 &axis)
| Sets the rotation axis.
void | SetAxis (float x, float y, float z)
| Sets the rotation axis.
float & | GetAngle ()
| Retrieves the rotation angle.
const float & | GetAngle () const
| See above.
void | SetAngle (float a)
| Sets the rotation angle.
void | SetRotation (const FMVector3 &axis, float angle)
| Sets the rotation components.
FMQuaternion | GetOrientation ()
| Retrieves the rotation orientation.
void | SetOrientation (const FMQuaternion &q)
| Sets the rotation orientation.
virtual FMMatrix44 | ToMatrix () const
| Converts the rotation into a matrix.
virtual bool | IsAnimated () const
| Retrieves whether the axis or the angle of the rotation are animated.
FCDAnimated * | GetAnimated ()
| Retrieves the animated element for the angle-axis rotation.
virtual const FCDAnimated * | GetAnimated () const
| See above.
virtual bool | IsInverse (const FCDTransform *transform) const
| Retrieves whether a given transform is the exact opposite of this rotation.
virtual FCDTransform * | Clone (FCDTransform *clone=NULL) const
| Creates a copy of a rotation.

## Detailed Description

A COLLADA angle-axis rotation.

This rotation defines an axis around which the 3D points are rotated by a given angle.

Todo:
  (clock-wise/counter-clock-wise?)

## Constructor & Destructor Documentation

FCDTRotation::FCDTRotation | ( | FCDocument * | document,
|  | FCDSceneNode * | parent
| ) |

  | Constructor: do not use directly. Instead, use the FCDSceneNode::AddTransform function with the transformation type: ROTATION. Parameters:
  | document | The COLLADA document that owns the rotation.
  | parent | The visual scene node that contains the rotation. Set this pointer to NULL if the rotation is not owned by a visual scene node.

## Member Function Documentation

virtual FCDTransform* FCDTRotation::Clone | ( | FCDTransform * | clone = `NULL` | ) | const`[virtual]`

  | Creates a copy of a rotation. Parameters:
  | clone | The transform that will be the clone.
Returns: The cloned transformation. Implements FCDTransform.

float& FCDTRotation::GetAngle | ( |  | ) | `[inline]`

| Retrieves the rotation angle. This angle may be animated. Returns: The rotation angle, in degrees.

FCDParameterAnimatableAngleAxis& FCDTRotation::GetAngleAxis | ( |  | ) | `[inline]`

| Retrieves the angle-axis value of the rotation. Returns: The angle-axis value.

FCDAnimated* FCDTRotation::GetAnimated | ( |  | ) | `[inline]`

| Retrieves the animated element for the angle-axis rotation. See also: FCDAnimatedAngleAxis Returns: The animated element. This pointer will be NULL if the rotation is not animated. Reimplemented from FCDTransform.

FMVector3& FCDTRotation::GetAxis | ( |  | ) | `[inline]`

| Retrieves the rotation axis. This 3D vector may be animated. Returns: The rotation axis.

FMQuaternion FCDTRotation::GetOrientation | ( |  | ) | `[inline]`

| Retrieves the rotation orientation. Returns: The rotation orientation quaternion.

virtual Type FCDTRotation::GetType | ( |  | ) | const`[inline, virtual]`

| Retrieves the transformation class type for the rotation. Returns: The class type: ROTATION. Implements FCDTransform.

virtual bool FCDTRotation::IsAnimated | ( |  | ) | const`[virtual]`

| Retrieves whether the axis or the angle of the rotation are animated. Returns: Whether the rotation is animated. Implements FCDTransform.

virtual bool FCDTRotation::IsInverse | ( | const FCDTransform * | transform | ) | const`[virtual]`

  | Retrieves whether a given transform is the exact opposite of this rotation. The opposite of an angle-axis rotation has the same axis as this rotation but the angle is multiplied by -1. Parameters:
  | transform | A second transformation.
Returns: Whether the two rotation are opposites. Reimplemented from FCDTransform.

void FCDTRotation::SetAngle | ( | float | a | ) | `[inline]`

  | Sets the rotation angle. Parameters:
  | a | The rotation angle, in degrees.

void FCDTRotation::SetAngleAxis | ( | const FMAngleAxis & | aa | ) | `[inline]`

  | Sets the angle-axis value of the rotation. Parameters:
  | aa | The new angle-axis value.

void FCDTRotation::SetAxis | ( | float | x,
|  | float | y,
|  | float | z
| ) | `[inline]`

  | Sets the rotation axis. Parameters:
  | x | The x-component of the rotation axis.
  | y | The y-component of the rotation axis.
  | z | The z-component of the rotation axis.

void FCDTRotation::SetAxis | ( | const FMVector3 & | axis | ) | `[inline]`

  | Sets the rotation axis. Parameters:
  | axis | The rotation axis.

void FCDTRotation::SetOrientation | ( | const FMQuaternion & | q | ) | `[inline]`

  | Sets the rotation orientation. Parameters:
  | q | The rotation orientation quaternion.

void FCDTRotation::SetRotation | ( | const FMVector3 & | axis,
|  | float | angle
| ) | `[inline]`

  | Sets the rotation components. Parameters:
  | axis | The rotation axis.
  | angle | The rotation angle, in degrees.

virtual FMMatrix44 FCDTRotation::ToMatrix | ( |  | ) | const`[virtual]`

| Converts the rotation into a matrix. Returns: A matrix equivalent of the rotation. Implements FCDTransform.

The documentation for this class was generated from the following file:

- FCDocument/FCDTransform.h